SDL_HINT_TV_REMOTE_AS_JOYSTICK(3)

NAME
SDL_HINT_TV_REMOTE_AS_JOYSTICK - A variable controlling whether the Android / tvOS remotes should be listed as joystick devices, instead of sending keyboard events.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_TV_REMOTE_AS_JOYSTICK SDL_TV_REMOTE_AS_JOYSTICK"

DESCRIPTION
The variable can be set to the following values:

• "0": Remotes send enter/escape/arrow key events.

• "1": Remotes are available as 2 axis, 2 button joysticks. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.